be.vlaanderen.mercurius.efact.df019.v1

## Class EfactDf019NotifyRectifications

- java.lang.Object
- - be.vlaanderen.mercurius.efact.df019.v1.EfactDf019NotifyRectifications

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:34:27+02:00",
                 comments="JAXB RI v2.3.7")
      public class EfactDf019NotifyRectifications
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="RectificationInformation">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="Ssin" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}SsinType"/>
                         <element name="RectificationNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
                         <element name="RectificationInvoiceNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
                         <element name="Context" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}ContextType"/>
                         <choice>
                           <element name="EnterpriseNumber" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}EnterpriseNumberType"/>
                           <element name="FlemishInstitution" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}HcoNumberType"/>
                         </choice>
                         <element name="TriggerSource">
                           <simpleType>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                               <enumeration value="PCRS"/>
                               <enumeration value="FA"/>
                               <enumeration value="MDA"/>
                               <enumeration value="MANUAL"/>
                               <enumeration value="AUTOMATIC"/>
                             </restriction>
                           </simpleType>
                         </element>
                         <element name="RectificationDateTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
                         <element name="RectificationMotivation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="Rectification" type="{http://www.mercurius.vlaanderen.be/efact/df019/v1}RectificationType" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EfactDf019NotifyRectifications()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RectificationInformation` | `getRectificationInformation()` Gets the value of the rectificationInformation property.
    `List<RectificationType>` | `getRectifications()` Gets the value of the rectifications property.
    `void` | `setRectificationInformation(RectificationInformation value)` Sets the value of the rectificationInformation property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EfactDf019NotifyRectifications

          public EfactDf019NotifyRectifications()

  - ### Method Detail

    - #### getRectificationInformation

          public RectificationInformation getRectificationInformation()

      Gets the value of the rectificationInformation property.
      Returns:
        possible object is `RectificationInformation`

    - #### setRectificationInformation

          public void setRectificationInformation(RectificationInformation value)

      Sets the value of the rectificationInformation property.
      Parameters:
        `value` - allowed object is `RectificationInformation`

    - #### getRectifications

          public List<RectificationType> getRectifications()

      Gets the value of the rectifications property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rectifications property.

      For example, to add a new item, do as follows:

              getRectifications().add(newItem);

      Objects of the following type(s) are allowed in the list `RectificationType`

Connector Packaging TRUSSMAKER 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.